# CA location
PKI_CERTS_CA_ROOT_DIR=ca
PKI_CERTS_MACHINE_ROOT_DIR=servers
PKI_CERTS_USER_ROOT_DIR=users
PKI_CA_NAME=skz
PKI_INTERMEDIATE_CA_NAME=intermediate

# Cert fields
PKI_COUNTRY=FR
PKI_LOCALITY=Montpellier
PKI_ORGANIZATION=sk4.nz
PKI_STATE=Occitanie

# CA Common name
PKI_CA_COMMON_NAME=sk4.nz\\ Certificate\\ Authority
PKI_INTERMEDIATE_COMMON_NAME=sk4.nz\\ Intermediate\\ Certificate\\ Authority

# Servers common name
PKI_SERVER_COMMON_NAME=server.sk4.nz
PKI_USER_COMMON_NAME=sk4nz@sk4.nz

# Servers alternative names
PKI_SERVER_ALTERNATIVE_NAMES=alt.sk4.nz
PKI_SERVER_ALTERNATIVE_IPS=127.0.0.1

# Cert lifespan
PKI_SERVER_CERT_DAYS=365
PKI_USER_CERT_DAYS=365
PKI_INTERMEDIATE_CERT_DAYS=3650
PKI_CA_DAYS=7300

# Hashing method
PKI_HASH_TYPE=sha256

# File paths
PKI_CA_PATH=${PKI_CERTS_CA_ROOT_DIR}
PKI_INTERMEDIATE_CA_PATH=${PKI_INTERMEDIATE_CA_NAME}
PKI_INTERMEDIATE_CA_ROOT_DIR=${PKI_INTERMEDIATE_CA_NAME}
PKI_SERVER_CA_PATH=${PKI_CERTS_MACHINE_ROOT_DIR}/
PKI_USER_CA_PATH=${PKI_CERTS_USER_ROOT_DIR}/

PKI_COMMON_FIELDS=/C=${PKI_COUNTRY}/ST=${PKI_STATE}/L=${PKI_LOCALITY}/O=${PKI_ORGANIZATION}
PKI_CA_FIELDS=${PKI_COMMON_FIELDS}/CN=${PKI_CA_COMMON_NAME}
PKI_INTERMEDIATE_FIELDS=${PKI_COMMON_FIELDS}/CN=${PKI_INTERMEDIATE_COMMON_NAME}

PKI_CA_CONFIG=${PKI_CA_PATH}/openssl.cnf
PKI_INTERMEDIATE_CONFIG=${PKI_INTERMEDIATE_CA_PATH}/openssl.cnf
PKI_SERVER_CONFIG=${PKI_CERTS_MACHINE_ROOT_DIR}/openssl.cnf
PKI_USER_CONFIG=${PKI_CERTS_USER_ROOT_DIR}/openssl.cnf

PKI_CA_KEY=${PKI_CA_PATH}/private/${PKI_CA_NAME}.key.pem
PKI_CA_CERT=${PKI_CA_PATH}/certs/${PKI_CA_NAME}.cert.pem

PKI_INTERMEDIATE_KEY=${PKI_INTERMEDIATE_CA_PATH}/private/${PKI_INTERMEDIATE_CA_NAME}.key.pem
PKI_INTERMEDIATE_CSR=${PKI_INTERMEDIATE_CA_PATH}/csr/${PKI_INTERMEDIATE_CA_NAME}.csr.pem
PKI_INTERMEDIATE_CERT=${PKI_INTERMEDIATE_CA_PATH}/certs/${PKI_INTERMEDIATE_CA_NAME}.cert.pem

PKI_SERVER_KEY=${PKI_SERVER_CA_PATH}/${PKI_SERVER_COMMON_NAME}.key.pem
PKI_SERVER_CSR=${PKI_SERVER_CA_PATH}/${PKI_SERVER_COMMON_NAME}.csr.pem
PKI_SERVER_CERT=${PKI_SERVER_CA_PATH}/${PKI_SERVER_COMMON_NAME}.cert.pem

PKI_USER_KEY=${PKI_USER_CA_PATH}/${PKI_USER_COMMON_NAME}.key.pem
PKI_USER_CSR=${PKI_USER_CA_PATH}/${PKI_USER_COMMON_NAME}.csr.pem
PKI_USER_CERT=${PKI_USER_CA_PATH}/${PKI_USER_COMMON_NAME}.cert.pem

PKI_INTERMEDIATE_CHAIN=${PKI_INTERMEDIATE_CA_PATH}/certs/${PKI_CA_NAME}-chain.cert.pem
PKI_SERVER_INTERMEDIATE_CHAIN=${PKI_SERVER_CA_PATH}/${PKI_CA_NAME}-chain.cert.pem

# File modes
PKI_PRIVATE_DIR_MODE=0700

PKI_CA_KEY_MODE=0400
PKI_CA_CERT_MODE=0444

PKI_INTERMEDIATE_KEY_MODE=0400
PKI_INTERMEDIATE_CERT_MODE=0444
PKI_INTERMEDIATE_CHAIN_MODE=0444

PKI_SERVER_KEY_MODE=0444
PKI_SERVER_CERT_MODE=0444

PKI_USER_KEY_MODE=0444
PKI_USER_CERT_MODE=0444

# Key strength
PKI_CA_KEY_STRENGTH=4096
PKI_INTERMEDIATE_KEY_STRENGTH=4096
PKI_SERVER_KEY_STRENGTH=4096
PKI_USER_KEY_STRENGTH=4096
